weka.gui.beans

## Class ImageEvent

- java.lang.Object
- - java.util.EventObject
  - - weka.gui.beans.ImageEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ImageEvent
      extends java.util.EventObject

  Event that encapsulates an Image
  Version:
    $Revision: 10882 $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageEvent(java.lang.Object source, java.awt.image.BufferedImage image)` Construct a new ImageEvent
    `ImageEvent(java.lang.Object source, java.awt.image.BufferedImage image, java.lang.String imageName)` Construct an ImageEvent

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.image.BufferedImage` | `getImage()` Get the encapsulated image
    `java.lang.String` | `getImageName()` Get the name of the image

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageEvent

          public ImageEvent(java.lang.Object source,
                            java.awt.image.BufferedImage image)

      Construct a new ImageEvent
      Parameters:
        `source` - the source of this event
        `image` - the image to encapsulate

    - #### ImageEvent

          public ImageEvent(java.lang.Object source,
                            java.awt.image.BufferedImage image,
                            java.lang.String imageName)

      Construct an ImageEvent
      Parameters:
        `source` - the source of this event
        `image` - the image to encapsulate
        `imageName` - the name of the image

  - ### Method Detail

    - #### getImage

          public java.awt.image.BufferedImage getImage()

      Get the encapsulated image
      Returns:
        the encapsulated image

    - #### getImageName

          public java.lang.String getImageName()

      Get the name of the image
      Returns: